//
//  BottomView.swift
//  AcaMate
//
//  Created by TAnine on 2/4/25.
//

import SwiftUI

struct BottomView: View {
    @State private var isHomeSelected: Bool = true
    @State private var isManagementSelected: Bool = false
    @State private var isChattingSelected: Bool = false
    @State private var isCalendarSelected: Bool = false
    @State private var isEtcSelected: Bool = false
    
    var body: some View {
        HStack(spacing: 0){
            Spacer(minLength: 1).frame(width: 24)
            CircleBtnView(title: "홈", image: Image(.BottomBar.home),
                       isSelected: $isHomeSelected, isReverse: false,
                       action: {
                btnAllFalse()
                isHomeSelected.toggle()
            })
            Spacer(minLength: 1)
            
            CircleBtnView(title: "학습 관리", image: Image(.BottomBar.management),
                       isSelected: $isManagementSelected, isReverse: false,
                       action: {
                btnAllFalse()
                isManagementSelected.toggle()
            })
            Spacer(minLength: 1)
            CircleBtnView(title: "채팅", image: Image(.BottomBar.chatting),
                       isSelected: $isChattingSelected, isReverse: false,
                       action: {
                btnAllFalse()
                isChattingSelected.toggle()
            })
            Spacer(minLength: 1)
            CircleBtnView(title: "일정", image: Image(.BottomBar.calendar),
                       isSelected: $isCalendarSelected, isReverse: false,
                       action: {
                btnAllFalse()
                isCalendarSelected.toggle()
            })
            Spacer(minLength: 1)
            CircleBtnView(title: "더보기", image: Image(.BottomBar.etc),
                       isSelected: $isEtcSelected, isReverse: false,
                       action: {
                btnAllFalse()
                isEtcSelected.toggle()
            })
            Spacer(minLength: 1).frame(width: 24)
        }
        .padding([.top],12)
        .background {
            Rectangle()
                .foregroundStyle(Color(.Normal.dark))
                .ignoresSafeArea(edges: .bottom)
        }
        .frame(maxWidth: .infinity)
        
        
    }
    
    private func btnAllFalse() {
        isHomeSelected = false
        isManagementSelected = false
        isChattingSelected = false
        isCalendarSelected = false
        isEtcSelected = false
    }
}

#Preview {
    BottomView()
}
